eq_3f_1 = setmetatable1(({["lookup"]=({})}), ({["__call"]=(function(temp_this, x, y)
	local temp_method
	local temp = temp_this["lookup"]
	if temp then
		local temp1 = temp[type1(x)]
		if temp1 then
			temp_method = temp1[type1(y)] or nil
		else
			temp_method = nil
		end
	else
		temp_method = nil
	end
	if not temp_method then
		if temp_this["default"] then
			temp_method = temp_this["default"]
		else
			error1("No matching method to call for " .. (type1(x) .. " ") .. (type1(y) .. " ") .. "\nthere are methods to call for " .. keys1(temp_this["lookup"]))
		end
	end
	return temp_method(x, y)
end)}))
